//Задаем путь .xml-файлов задач
function ExecuteCurrentTasks(InputRequestFunction,..//Функция входных сообщений по запросу
                             DisplayErrorFunction,..//Функция отображения ошибок
                             projectName,..//Имя проекта
                             tasksSep..//Разделитель задач
                             )
    //Проверяем и обрабатываем аргументы
    nArg = argn(2);//Число аргументов
    if nArg < 2 then
        error('The function ExecuteCurrentTasks takes 2, 3 or 4 arguments');
    end
    select nArg
    case 2 then
        projectName = "";
        tasksSep = ',';
    case 3 then
        tasksSep = ',';
    end
    
    //Проверяем функцию запроса
    select type(InputRequestFunction)
    case 10 then
        execstr('inputRequestFunction = ' + InputRequestFunction);
    case 13 then
        inputRequestFunction = InputRequestFunction;
    case 15 then
        //Берем имя функции и параметры
        inRequestFunction = InputRequestFunction(1);//Имя функции
        inRequestFunctionParametrs = InputRequestFunction(2:$);//Параметры
        
        //Проверяем тип функии
        if type(inRequestFunction) == 10 then
            execstr('inRequestFunction = ' + inRequestFunction);
        end
        
        //Объявляеи функцию входных данных по запросу
        function [msg]=inputRequestFunction(strAsk)
            msg = inRequestFunction(strAsk,inRequestFunctionParametrs(:));
        endfunction
    else
        error('the argument InputRequestFunction of function ExecuteCurrentTasks must be function type, or function name (string type), or list type (function (or function name) and parametrs)');
    end
    
    //Проверяем функцию отображения
    select type(DisplayErrorFunction)
    case 10 then
        execstr('displayErrorFunction = ' + DisplayErrorFunction);
    case 13 then
        displayErrorFunction = DisplayErrorFunction;
    case 15 then
        //Берем функцию и ее параметры
        dErrorFunction = DisplayErrorFunction(1);
        dErrorFunctionParametrs = DisplayErrorFunction(2:$);
        
        //Проверяем тип функции
        if type(dErrorFunction) == 10 then
            execstr('dErrorFunction = ' + dErrorFunction);
        end
        
        //Создаем функцию
        function displayErrorFunction(msg)
            dErrorFunction(msg,dErrorFunctionParametrs(:));
        endfunction
    else
        error('The argument DisplayErrorFunction of function ExecuteCurrentTasks must be function type, or function name (string type), or list type (function (or function name) and parametrs)');
    end
    
    //Считываем текущую задачу
    strAsk = 'Current solving tasks: ';//Строка запроса
    currentTasks = inputRequestFunction(strAsk);//Запрашиваем текущие задачи
    while length(currentTasks) > 0
        //Парсим строку запроса задач
        currentTasks = strsplit(currentTasks,tasksSep);
        
        //Выполняем текущие задачи
        [err,msg]=ExecuteTasks(currentTasks,projectName,%f);
        if err ~= 0 then
            displayErrorFunction('ERROR: ' + msg);
        end
        
        //Запрашиваем следующие задачи (которые на следующей итерации будут текущими)
        currentTasks = inputRequestFunction(strAsk);
    end
endfunction
